VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "vbBdFtVols"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Private m_iSpecies As Integer
Private m_sngDbh As Single
Private m_sngSawHt As Single
Private m_iCull As Integer
Private m_iFormClass As Integer
Private Sub Class_Initialize()
  MsgBox ("Called vbBdFtVols Constructor, which in Visual Basic 6 Is The Class_Initialize() Method.")
End Sub
Public Property Get Species() As Integer
  Species = m_iSpecies
End Property
Public Property Let Species(ByVal iSpecies As Integer)
  m_iSpecies = iSpecies
End Property
Public Property Get Dbh() As Single
  Dbh = m_sngDbh
End Property
Public Property Let Dbh(ByVal sngDbh As Single)
  m_sngDbh = sngDbh
End Property
Public Property Get SawlogHeight() As Single
  SawlogHeight = m_sngSawHt
End Property
Public Property Let SawlogHeight(ByVal sngSawHt As Single)
  m_sngSawHt = sngSawHt
End Property
Public Property Get Cull() As Integer
  Cull = m_iCull
End Property
Public Property Let Cull(ByVal iCull As Integer)
  m_iCull = iCull
End Property
Public Property Get FormClass() As Integer
  FormClass = m_iFormClass
End Property
Public Property Let FormClass(ByVal iFormClass As Integer)
  m_iFormClass = iFormClass
End Property
Public Function PsuVolume() As Single
  Dim sngVolume As Single
  
  Select Case m_iSpecies
    Case 1
      sngVolume = -1.5473 + 0.015473 * m_sngDbh ^ 2 * m_sngSawHt
    Case 6
      sngVolume = -1.4596 + 0.014596 * m_sngDbh ^ 2 * m_sngSawHt
    Case 9
      sngVolume = -8.765 + 0.016652 * m_sngDbh ^ 2 * m_sngSawHt
    Case 11
      sngVolume = 2.1004 + 0.016583 * m_sngDbh ^ 2 * m_sngSawHt
    Case 20
      sngVolume = 6.2685 + 0.018561 * m_sngDbh ^ 2 * m_sngSawHt
    Case 21
      sngVolume = 3.1916 + 0.019514 * m_sngDbh ^ 2 * m_sngSawHt
    Case 23
      sngVolume = 0.26611 + 0.0064407 * m_sngDbh ^ 1.7856 * m_sngSawHt ^ 0.925
    Case 24
      sngVolume = 0.37396 + 0.005177 * m_sngDbh ^ 1.9066 * m_sngSawHt ^ 0.8959
    Case 25
      sngVolume = 0.26611 + 0.0064407 * m_sngDbh ^ 1.7856 * m_sngSawHt ^ 0.925
    Case 26
      sngVolume = 1.3054 + 0.0015993 * m_sngDbh ^ 1.6993 * m_sngSawHt ^ 1.2919
    Case 27
      sngVolume = 0.74824 + 0.0043476 * m_sngDbh ^ 1.6839 * m_sngSawHt ^ 1.0733
    Case 28
      sngVolume = 1.33203 + 0.0007995 * m_sngDbh ^ 1.9616 * m_sngSawHt ^ 1.3292
    Case 30
      sngVolume = 3.8571 + 0.019001 * m_sngDbh ^ 2 * m_sngSawHt
    Case 31
      sngVolume = 5.5413 + 0.017287 * m_sngDbh ^ 2 * m_sngSawHt
    Case 32
      sngVolume = 8.9972 + 0.018597 * m_sngDbh ^ 2 * m_sngSawHt
    Case 40
      sngVolume = 1.6115 + 0.018032 * m_sngDbh ^ 2 * m_sngSawHt
    Case 48
      sngVolume = 5.3365 + 0.016602 * m_sngDbh ^ 2 * m_sngSawHt
    Case 50
      sngVolume = 5.0116 + 0.018606 * m_sngDbh ^ 2 * m_sngSawHt
    Case 51
      sngVolume = 4.9108 + 0.018451 * m_sngDbh ^ 2 * m_sngSawHt
    Case 54
      sngVolume = 21.2024 + 0.017985 * m_sngDbh ^ 2 * m_sngSawHt
    Case 55
      sngVolume = 9.2369 + 0.017288 * m_sngDbh ^ 2 * m_sngSawHt
    Case 58
      sngVolume = 4.5357 + 0.019424 * m_sngDbh ^ 2 * m_sngSawHt
    Case 59
      sngVolume = 15.283 + 0.01634 * m_sngDbh ^ 2 * m_sngSawHt
    Case 63
      sngVolume = 0.0917 + 0.020303 * m_sngDbh ^ 2 * m_sngSawHt
    Case 76
      sngVolume = 16.0039 + 0.016487 * m_sngDbh ^ 2 * m_sngSawHt
    Case Else
      sngVolume = 4.9092 + 0.016363 * m_sngDbh ^ 2 * m_sngSawHt
  End Select
  
  PsuVolume = sngVolume * (100 - m_iCull) / 100
End Function
Public Function FormClassVolume() As Single
  FormClassVolume = _
  (1.52968 * (m_sngSawHt / 16) ^ 2 + 9.58615 * (m_sngSawHt / 16) - 13.35212) + _
  (1.7962 - 0.27465 * (m_sngSawHt / 16) ^ 2 - 2.59995 * (m_sngSawHt / 16)) * m_sngDbh + _
  (0.04482 - 0.00961 * (m_sngSawHt / 16) ^ 2 + 0.45997 * (m_sngSawHt / 16)) * m_sngDbh ^ 2 * _
  ((m_iFormClass - 78) * 0.03 + 1)
End Function
Private Sub Class_Terminate()
  MsgBox ("Called The vbBdFtVols Destructor, Which In Visual Basic 6 Is The Class_Terminate Method.")
End Sub
