VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "vbCuFtVols"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Private m_iSpecies As Integer
Private m_sngDbh As Single
Private m_sngSawHt As Single
Private m_iCull As Integer
Private Sub Class_Initialize()
  MsgBox ("Called The vbCuFtVols Constructor, Which In Visual Basic 6 Is The Class_Initialize Method")
End Sub
Public Property Get Species() As Integer
  Species = m_iSpecies
End Property
Public Property Let Species(ByVal iSpecies As Integer)
  m_iSpecies = iSpecies
End Property
Public Property Get Dbh() As Single
  Dbh = m_sngDbh
End Property
Public Property Let Dbh(ByVal sngDbh As Single)
  m_sngDbh = sngDbh
End Property
Public Property Get SawlogHeight() As Single
  SawlogHeight = m_sngSawHt
End Property
Public Property Let SawlogHeight(ByVal sngSawHt As Single)
  m_sngSawHt = sngSawHt
End Property
Public Property Get Cull() As Integer
  Cull = m_iCull
End Property
Public Property Let Cull(ByVal iCull As Integer)
  m_iCull = iCull
End Property
Public Function PsuVolume() As Single
  Dim sngVolume As Single
  
  Select Case m_iSpecies
    Case 30
      sngVolume = 0.37396 + 0.005177 * m_sngDbh ^ 1.9066 * m_sngSawHt ^ 0.8959
    Case 23
      sngVolume = 0.26611 + 0.0064407 * m_sngDbh ^ 1.7856 * m_sngSawHt ^ 0.925
    Case 24
      sngVolume = 0.37396 + 0.005177 * m_sngDbh ^ 1.9066 * m_sngSawHt ^ 0.8959
    Case 25
      sngVolume = 0.26611 + 0.0064407 * m_sngDbh ^ 1.7856 * m_sngSawHt ^ 0.925
    Case 26
      sngVolume = 1.3054 + 0.0015993 * m_sngDbh ^ 1.6993 * m_sngSawHt ^ 1.2919
    Case 27
      sngVolume = 0.74824 + 0.0043476 * m_sngDbh ^ 1.6839 * m_sngSawHt ^ 1.0733
    Case 28
      sngVolume = 1.33203 + 0.0007995 * m_sngDbh ^ 1.9616 * m_sngSawHt ^ 1.3292
    Case Else
      sngVolume = 0.26611 + 0.0064407 * m_sngDbh ^ 1.7856 * m_sngSawHt ^ 0.925
  End Select
  
  PsuVolume = sngVolume * (100 - m_iCull) / 100
End Function
Private Sub Class_Terminate()
  MsgBox ("Called The vbCuFtVols Destructor, Which In Visual Basic 6 Is The Class_Terminate Method")
End Sub

